summaryrefslogtreecommitdiffstats
path: root/src/fluent-bit/lib/librdkafka-2.1.0/tests/cleanup-checker-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/fluent-bit/lib/librdkafka-2.1.0/tests/cleanup-checker-tests.sh')
-rwxr-xr-xsrc/fluent-bit/lib/librdkafka-2.1.0/tests/cleanup-checker-tests.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/src/fluent-bit/lib/librdkafka-2.1.0/tests/cleanup-checker-tests.sh b/src/fluent-bit/lib/librdkafka-2.1.0/tests/cleanup-checker-tests.sh
new file mode 100755
index 000000000..f396d8bed
--- /dev/null
+++ b/src/fluent-bit/lib/librdkafka-2.1.0/tests/cleanup-checker-tests.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+#
+#
+# This script runs all tests with valgrind, one by one, forever, to
+# make sure there aren't any memory leaks.
+
+ALL=$(seq 0 15)
+CNT=0
+while true ; do
+ for T in $ALL; do
+ echo "#################### Test $T run #$CNT #################"
+ TESTS=$(printf %04d $T) ./run-test.sh -p valgrind || exit 1
+ CNT=$(expr $CNT + 1)
+ done
+ echo "################## Cleaning up"
+ rm -f *.offset
+ ./delete-test-topics.sh 0
+done
+done
+